#
# spec file for package reinteract
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           reinteract
Version:        0.5.9
Release:        1.1
Summary:        Interactive Python shell
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://www.reinteract.org/
Source:         http://www.reinteract.org/download/sources/reinteract-%{version}.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  python
BuildRequires:  shared-mime-info
BuildRequires:  fdupes
Requires:       gtk2
Requires:       numpy
Requires:       pygtk2
Requires:       python-matplotlib
Requires:       sox
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Reinteract is a system for interactive experimentation with Python.
Reinteract worksheets contain Python code combined with the results of
that code, formatted as text or graphical plots. Unlike a traditional
shell, you can go back and edit previously entered statements, and the
results will update. Among other things, Reinteract is suitable for
experimentation with the Python language and for data analysis
using the Numpy and SciPy libraries.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%suse_update_desktop_file reinteract -r Development IDE

%fdupes %{buildroot}%{python_sitelib}

%post
%desktop_database_post
%icon_theme_cache_post
%mime_database_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/reinteract
%{_datadir}/applications/reinteract.desktop
%{_datadir}/icons/hicolor/scalable/apps/reinteract.svg
%{_datadir}/mime/packages/reinteract.xml
%dir %{_datadir}/reinteract/
%{_datadir}/reinteract/dialogs/
%{_datadir}/reinteract/Reinteract.ico
%doc %{_datadir}/reinteract/examples
%{python_sitelib}/reinteract/
%{python_sitelib}/replot.py*
%{python_sitelib}/replay.py*

%changelog
* Sun Oct  2 2016 mailaender@opensuse.org
- initial packaging of version 0.5.9
